# -*- coding:Utf-8 -*-

import es
import popuplib

def load():
	es.regsaycmd('!aide', 'cdr/menu/aide')
	es.regsaycmd('!regles', 'cdr/menu/aide')
	creerMenu()
	
def unload():
	es.unregsaycmd('!aide')
	es.unregsaycmd('!regles')
	
def creerMenu():
	menu = popuplib.create('menu_start') 
	menu.addline('[ Combat Des Rois ]')
	menu.addline('-------------------')
	menu.addline('->1. Règles générales')
	menu.addline('->2. Infos Roi')
	menu.addline('->3. Infos Classes')
	menu.addline('->4. Informations')
	menu.addline('->5. A propos')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'regles_du_jeu')
	menu.submenu(2, 'classes_infos_roi')
	menu.submenu(3, 'classes_infos')
	menu.submenu(4, 'informations_jeu')
	menu.submenu(5, 'creation_jeu')

	menu = popuplib.create('regles_du_jeu') 
	menu.addline('  Règles générales  ')
	menu.addline('--------------------')
	menu.addline('# Camping autorisé')
	menu.addline('# FairPlay = Plaisir & Fun')
	menu.addline('# AFK = Spectateur')
	menu.addline('# TeamKill = Ban')
	menu.addline('# Tricherie = Ban')
	menu.addline('# Flood = Kick ou Ban')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_roi')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_roi')
	menu.addline('      Classe: Roi      ')
	menu.addline('-----------------------')
	menu.addline('# HP: 500 Armure: 100')
	menu.addline('# Vitesse: 120%')
	menu.addline('# Arme princ.: Aucune')
	menu.addline('# Arme Sec.: Usp')
	menu.addline('# Arme Ter.: Couteau, HE, Flash, smoke')
	menu.addline('# Comp.: Aucune')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos')
	menu.addline('Classe: Soldat (1/8)')
	menu.addline('--------------------')
	menu.addline('# HP: 100 Armure: 100')
	menu.addline('# Arme princ.: Famas/Galil')
	menu.addline('# Arme Sec.: Usp/Glock')
	menu.addline('# Arme Ter.: Couteau')
	menu.addline('# Comp.: Aucune')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_2')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_2')
	menu.addline('Classe: Garde du corps (2/8)')
	menu.addline('----------------------------')
	menu.addline('# HP: 100 Armure: 100')
	menu.addline('# Vitesse: 120%')
	menu.addline('# Arme princ.: Fusil M3')
	menu.addline('# Arme Sec.: Usp/Glock')
	menu.addline('# Arme Ter.: Couteau')
	menu.addline('# Comp.: Doit rester près du roi')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_3')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_3')
	menu.addline('Classe: Djihadiste (3/8)')
	menu.addline('------------------------')
	menu.addline('# HP: 50 Vitesse: 110%')
	menu.addline('# Arme princ.: Aucune')
	menu.addline('# Arme Sec.: P228/Dual')
	menu.addline('# Arme Ter.: Couteau, HE')
	menu.addline('# Comp.: Explose en mourrant')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_4')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_4')
	menu.addline('Classe: Commando (4/8)')
	menu.addline('----------------------')
	menu.addline('# HP: 100 Armure: 100')
	menu.addline('# Vitesse: 90%')
	menu.addline('# Arme princ.: P90')
	menu.addline('# Arme Sec.: Deagle')
	menu.addline('# Arme Ter.: Couteau, HE, Flash, smoke')
	menu.addline('# Comp.: Sauts améliorés')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_5')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_5')
	menu.addline('Classe: Tête brulée (5/8)')
	menu.addline('-------------------------')
	menu.addline('# HP: 150 Armure: 100')
	menu.addline('# Vitesse: 80%')
	menu.addline('# Arme princ.: M249')
	menu.addline('# Arme Sec.: Usp/Glock')
	menu.addline('# Arme Ter.: Couteau')
	menu.addline('# Comp.: Aucune')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_6')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_6')
	menu.addline('Classe: Tireur d\'élite (6/8)')
	menu.addline('----------------------------')
	menu.addline('# HP: 80 Vitesse: 120%')
	menu.addline('# Arme princ.: Scout')
	menu.addline('# Arme Sec.: Deagle')
	menu.addline('# Arme Ter.: Couteau, smoke')
	menu.addline('# Comp.: Freeze l\'ennemi')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_7')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_7')
	menu.addline('Classe: Espion (7/8)')
	menu.addline('----------------------')
	menu.addline('# HP: 50 Vitesse: 120%')
	menu.addline('# Transparence')
	menu.addline('# Arme princ.: Aucune')
	menu.addline('# Arme Sec.: Aucune')
	menu.addline('# Arme Ter.: Couteau')
	menu.addline('# Comp.: Vole le skin ennemi')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_8')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('classes_infos_8')
	menu.addline('Classe: Geeky (8/8)')
	menu.addline('----------------------')
	menu.addline('# HP: 100 Armure: 100')
	menu.addline('# Arme princ.: M4A1/Ak47')
	menu.addline('# Arme Sec.: Usp/Glock')
	menu.addline('# Arme Ter.: Couteau')
	menu.addline('# Comp.: Aucune')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'classes_infos_9')
	menu.submenu(2, 'menu_start')
	
	menu = popuplib.create('classes_infos_9')
	menu.addline('Classe: Médecin (9/9)')
	menu.addline('---------------------')
	menu.addline('# HP: 115 Armure: 20')
	menu.addline('# Vitesse: 105%')
	menu.addline('# Arme princ.: Tmp')
	menu.addline('# Arme Sec.: p228')
	menu.addline('# Arme Ter.: Couteau')
	menu.addline('# Comp.: Soigne les joueurs')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'informations_jeu')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('informations_jeu') 
	menu.addline('[ Combat Des Rois ]')
	menu.addline('   Informations    ')
	menu.addline('-------------------')
	menu.addline('Ce jeu a été créé dans le but de divertir')
	menu.addline('au maximum les joueurs de CSS.')
	menu.addline('-----------------------------------------')
	menu.addline('Si vous avez des idées pour améliorer ce')
	menu.addline('Mod, n\'hésitez pas à nous le faire savoir')
	menu.addline('sur le serveur ou bien par email:')
	menu.addline('vodemki@gmail.com')
	menu.addline('')
	menu.addline('->1. Suivant')
	menu.addline('->2. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'creation_jeu')
	menu.submenu(2, 'menu_start')

	menu = popuplib.create('creation_jeu') 
	menu.addline('[ Combat Des Rois ]')
	menu.addline('      Mod     ')
	menu.addline('-------------------')
	menu.addline('Script :   [Geeky™]')
	menu.addline('Idée :    Geek Shao')
	menu.addline('Vesion spéciale Suprème-elite.fr')
	menu.addline('')
	menu.addline('->1. Retour')
	menu.addline('->0. Fermer')
	menu.submenu(1, 'menu_start')
	
def aide():
	userid = es.getcmduserid()
	popuplib.send('menu_start', userid)